## org.w3c.jigadm.editors
Class IndexersHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadm.editors.IndexersHelper

public class IndexersHelper
extends ResourceHelper

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`IndexersHelper()`

Method Summary
`protected void` | `addIndexer()`
`void` | `clearChanged()`
`void` | `commitChanges()`
`java.awt.Component` | `getComponent()`
`java.lang.String` | `getTitle()`
`protected org.w3c.jigadm.RemoteResourceWrapper` | `getWrapper()`
`boolean` | `hasChanged()`
`protected void` | `initAddPanel(java.util.Properties config)`
`void` | `initialize(org.w3c.jigadm.RemoteResourceWrapper rrw, java.util.Properties pr)` initialize this helper
`void` | `resetChanges()`

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, errorPopup, getValue, msgPopup, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexersHelper

    public IndexersHelper()

Method Detail

### addIndexer

    protected void addIndexer()

### getWrapper

    protected org.w3c.jigadm.RemoteResourceWrapper getWrapper()

### getComponent

    public java.awt.Component getComponent()

  Overrides:
    getComponent in class ResourceHelper

### commitChanges

    public void commitChanges()

### hasChanged

    public boolean hasChanged()

### resetChanges

    public void resetChanges()

### clearChanged

    public void clearChanged()

### getTitle

    public final java.lang.String getTitle()

  Overrides:
    getTitle in class ResourceHelper

### initAddPanel

    protected void initAddPanel(java.util.Properties config)

### initialize

    public void initialize(org.w3c.jigadm.RemoteResourceWrapper rrw,
                           java.util.Properties pr)
                    throws RemoteAccessException

  initialize this helper
  Parameters:
    `rrw` - The RemoteResourceWrapper
    `pr` - The properties
  Throws:
    RemoteAccessException - if a remote access error occurs.